
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Vedavaapi Client Authorization Consent</title>
    <link rel="stylesheet" id="theme" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
    <style>

          @media(min-width:450px){
            .login_authorize_popup{
            margin: auto;
            max-width: 500px !important;
            margin-top: 51px;
            box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15) !important;
            padding: 30px;
           }
         }
        .login_authorize_popup{
            width: 100%;
            box-shadow: none;
            min-width: 180px;
            min-height: 240px;
            padding: 20px;
         }
        #consent-form-submit{
            float: right;
            background-color: #e2e2e2;
            color: #000000;
            padding: 0rem 20px;
            border: 1px solid #767676;
            font-size: 16px;
            border-radius: 0px;
            font-family: sans-serif;
            margin-top: 5px;
        }
        #consent-info{
            color: #000000;
            font-family: sans-serif;
            font-size: 17px;
            font-weight: 500;
        }
        #consent-info h3{
            font-family: sans-serif;
            font-size: 17px;
            color: #767676;
            font-weight: 500;
            margin: 10px 0px 0px;
        }
        #consent-info span{
            font-family: sans-serif;
            font-size: 17px;
            color: #000000;
            font-weight: 500;

        }
    </style>

    <script src="jquery.min.js"></script>
    <script>
        queryParams = new URLSearchParams(document.location.search.substring(1));
        authRequestData = {};
        for(let param of queryParams) {
            authRequestData[param[0]] = param[1];
        }

        function onSuccess(res) {
            $('body').html(res);
        }

        function postConsent() {
            let consentUrl = '../oauth/authorize';
            $.ajax({
                type: 'POST',
                url: consentUrl,
                data: authRequestData,
                success: onSuccess
            });
        }

        if(queryParams.get('client_id') == 'DEFAULT_VEDAVAAPI_CLIENT') {
            postConsent();
        }
    </script>
</head>
<body>
    <div class="login_authorize_popup">
        <div id="consent-info">
            Hello, following client want access to mentioned scopes.
            <br>
            <h3>client id:</h3>
            <span id="consent-info-client_id"></span>
            <h3>scopes:</h3>
            <span id="consent-info-scopes"></span>
        </div>

        <br>

        <!--form method="post" id="consent-form"-->
        <button id="consent-form-submit">Authorize</button>
        <!--/form-->
   </div>

    <script src="consent.js"></script>
</body>
</html>
